#ifndef __PARSER_H__
#define __PARSER_H__ 1
#include <qstring.h>
#include <qxml.h>
namespace XmlCheck {
	class XmlErrorHandler:public QXmlErrorHandler
	{
	public:
		bool warning(const QXmlParseException &exception);
		bool error(const QXmlParseException &exception);
		bool fatalError(const QXmlParseException &exception);
		QString errorString();
		static QString errorDescription(const QXmlParseException &exception);
	};

	class XmlParser:public QXmlDefaultHandler
	{
	public:
		XmlParser();
		bool startDocument();
		bool startElement(QString const &nspace, QString const &localName, QString const &name, QXmlAttributes const &attr);
		bool endElement(QString const &nspace, QString const &localName, QString const &name);
		bool characters(QString const &ch);
	private:
		QString content;
	};
}
#endif
